
Redmine - Feature #4249

Generate report by custom fields on a project

2009-11-19 20:24 - Jon Lumpkin

Status: New Start date: 2009-11-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be nice to be able to generate a report based on custom fields for a project. For example, with how you can get custom

queries for bugs, I would like to do something similar with all projects in our system.

Related issues:

Related to Redmine - Patch #4705: Allow selection of up to five fields in tim... New 2010-02-01

History

#1 - 2009-11-19 20:26 - Jean-Philippe Lang

- Category set to Custom fields

#2 - 2009-11-19 20:30 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2009-11-19 20:35 - Jon Lumpkin

I wanted to add an extra note for an example. Redmine is one of the few systems that allow custom fields on project types, and this is so close, but

just need a way to report on it.

For example, one of the custom fields may be 'Operating System' or 'Department' or 'Language'. Then, our management would like to be able to

query all projects, to see which of those where 'Operating System' = 'Linux'.

This should work very similar to how issues are able to be queried with custom fields.

#4 - 2009-11-28 13:47 - Jean-Philippe Lang

- Target version set to 1.0.0 (RC)

#5 - 2010-02-17 21:51 - amber herold

I would like to add a vote for this feature!

My group would like to start using redmine for our Biological Research Projects in addition to software projects. The problem is that there could be

hundreds of research projects (we will need a collapsible project tree) and we need a way to sort and search them. I've added custom fields for a

Project ID number and Project Owner and would like to sort/search on those as well as things like the date the project was created and last updated.

#6 - 2010-02-17 21:54 - Jon Lumpkin

We so far are going to have to write our own code to access the backend Mysql db until something like this is implemented. Most of the idea is there -

its already implemented for issues. Though not sure when they may add the same feature to projects.

#7 - 2010-03-22 18:50 - benoit badrignans

I also would like to add a vote to this feature.

According comment number 6 this should be quite easy to implement.

Best regards

#8 - 2010-06-15 00:50 - Eric Davis

- Target version deleted (1.0.0 (RC))

Removing from 1.0. This hasn't been completed and 1.0 is feature frozen.

#9 - 2010-06-15 15:19 - Jon Lumpkin
Is there any possibility knowing when something like this could be done?

#10 - 2012-02-22 14:19 - Eric Sembrat

Any chance this could be pushed to a future version?

#11 - 2012-03-12 16:35 - Stéphane POTTIER

+1, it would be great

#12 - 2012-03-12 23:49 - Terence Mill

It must be a projects list and filter view similar two issues list but for projects. The Projects view could be changed to filter on project's attributes - also

custom fields.

https://github.com/cforce/projects_tree_view could be a base to start and add filter features.

#13 - 2014-01-15 20:57 - Amanda Heller

+1

Has anything new been developed in the last 2 years?

Jon Lumpkin's description from 4 years ago is exactly what I want to do at a project level (not issue level) for custom project fields like project location

and project type.

"I wanted to add an extra note for an example. Redmine is one of the few systems that allow custom fields on project types, and this is so close, but

just need a way to report on it.

For example, one of the custom fields may be 'Operating System' or 'Department' or 'Language'. Then, our management would like to be able to

query all projects, to see which of those where 'Operating System' = 'Linux'.

This should work very similar to how issues are able to be queried with custom fields."
